#ifndef WMGENERAL_H_INCLUDED
#define WMGENERAL_H_INCLUDED

#define MAX_MOUSE_REGION (8)

typedef struct _rckeys rckeys;

struct _rckeys {
	const char	*label;
	char		**var;
};

typedef struct {
	Pixmap			pixmap;
	Pixmap			mask;
	XpmAttributes	attributes;
} XpmIcon;

Display		*display;

void AddMouseRegion(int index, int left, int top, int right, int bottom);
int CheckMouseRegion(int x, int y);

void openXwindow(int argc, char *argv[], const char * const pixmap_bytes[],
  char *, int, int);
void RedrawWindow(void);

void copyXPMArea(int, int, int, int, int, int);
void copyXBMArea(int, int, int, int, int, int);

void drawline(int, int, int, int);
void darkline(int, int, int, int);
void cleararea(int, int, int, int);

#endif
